| Kea 3.0.2-git

isc::asiolink::UnixDomainSocketEndpoint Class Reference

Endpoint for UnixDomainSocket. More...

`#include <unix_domain_socket_endpoint.h>`

## Public Member Functions
| UnixDomainSocketEndpoint (const std::string &endpoint_path)
| Constructor.
const boost::asio::local::stream_protocol::endpoint & | getASIOEndpoint () const
| Returns underlying ASIO endpoint.

## Detailed Description

Endpoint for UnixDomainSocket.

This is a simple class encapsulating ASIO unix domain socket endpoint. It is used to represent endpoints taking part in communication via unix domain sockets.

Definition at line 24 of file unix_domain_socket_endpoint.h.

## Constructor & Destructor Documentation

## ◆ UnixDomainSocketEndpoint()

isc::asiolink::UnixDomainSocketEndpoint::UnixDomainSocketEndpoint | ( | const std::string & | endpoint_path | ) |
| inline explicit

Constructor.

Parameters

  endpoint_path | Path to the socket descriptor.

Definition at line 30 of file unix_domain_socket_endpoint.h.

## Member Function Documentation

## ◆ getASIOEndpoint()

const boost::asio::local::stream_protocol::endpoint & isc::asiolink::UnixDomainSocketEndpoint::getASIOEndpoint | ( |  | ) | const
| inline

Returns underlying ASIO endpoint.

Definition at line 36 of file unix_domain_socket_endpoint.h.

The documentation for this class was generated from the following file:

- unix_domain_socket_endpoint.h